找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 1517|回复: 0

[其他] 使用ARX创建一个MLINE

[复制链接]

已领礼包: 40个

财富等级: 招财进宝

发表于 2021-1-31 00:59:01 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
How to create an Mline using ObjectARX?  

问题:

How do I create an MLINE entity in AutoCAD using ObjectARX? When I try this, an
MLINE is not created and an error message does not occur indicating this was
unsuccessful.

解答:

The most likely cause for this is that you did not set the MLINE style to the
MLINE entity as it was created.

If an MLINE style is not set, AutoCAD does not know how to visually represent
the MLINE despite the fact that the MLine entity is valid and is appended to the
DWG database.

The following code creates an MLINE using the "Standard" MLINE style that is
always present in any DWG database.

NOTE: You can also create another MLINE style using the AcDbMlineStyle ARX
class.
  1. AcDbMline *l =new AcDbMline ;
  2. l->setNormal (AcGeVector3d (0, 0, 1)) ;
  3. l->setScale (1.5) ;

  4. AcDbDictionary *d ;
  5. acdbHostApplicationServices ()->workingDatabase ()
  6. ->getNamedObjectsDictionary (d, AcDb::kForRead) ;
  7. AcDbDictionary *ls ;
  8. d->getAt ("ACAD_MLINESTYLE", (AcDbObject*&)ls, AcDb::kForRead) ;
  9. d->close () ;
  10. AcDbObjectId id ;
  11. ls->getAt ("Standard", id) ;
  12. ls->close () ;

  13. l->setStyle (id) ;

  14. l->appendSeg (AcGePoint3d (0, 0, 0)) ;
  15. l->appendSeg (AcGePoint3d (10, 0, 0)) ;
  16. l->appendSeg (AcGePoint3d (10, 10, 0)) ;
  17. l->appendSeg (AcGePoint3d (20, 20, 0)) ;
  18. l->appendSeg (AcGePoint3d (20, 100, 0)) ;

  19. // Now, the AcDbMline entity is ready to be appended to the DWG database


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-4-25 08:34 , Processed in 0.335409 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表